Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class CoordinateSystem

    java.lang.Object
      org.ensembl.datamodel.impl.PersistentImpl
          org.ensembl.datamodel.CoordinateSystem

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Persistent, java.io.Serializable

public final class CoordinateSystem
extends org.ensembl.datamodel.impl.PersistentImpl
implements java.lang.Cloneable, java.lang.Comparable

A genomic co-ordinate system.

In the database all Coordinate systems hava a name, version and are either default or not default. When constructing a CoordinateSystem the user will need to specify the coordinate system's name and optionally it's version. If the name is unique or the desired version is default in the database then the version is not needed. If the name is ambiguous and a none default version is required then the user must specify both the name and version.

This is a list of common coordinate system names.
- "contig" - A contiguous sequence. ``N''s should be rare and of short length. Can serve as your basic sequence holder.
- "clone" - Should have a real BAC or PAC or maybe YAC behind it. Might not be contiguous.
- "supercontig" - Assembled from smaller contiguous sequences. May have small gaps (eg between read pairs).
- "chromosome" - Use it only for real chromosomes. Or for alternative sequences of reference chromosomes.
- "chunk" - Artificial coordinate system to hold sequence regions for technical reasons. Create, when none of the other coordinate systems can hold your sequence (eg. You only have full length chromosomes as coordinate system but they are to long to store) or when you have 2 real sequence containing coordinate systems.

Coordinate systems are used to partially specify `Location`s.

See Also:
  `Location`, Serialized Form

Field Summary

Fields inherited from class org.ensembl.datamodel.impl.PersistentImpl
`driver, internalID`

Constructor Summary
`CoordinateSystem()` Deprecated. use another constructor.
`CoordinateSystem(java.lang.String name)` Creates a new CoordinateSystem object with only the name set.
`CoordinateSystem(java.lang.String name, java.lang.String version)`
`CoordinateSystem(java.lang.String name, java.lang.String version, boolean def)` Deprecated. use another constructor.
`CoordinateSystem(java.lang.String name, java.lang.String version, boolean def, long internalID)` Deprecated. use another constructor.
`CoordinateSystem(java.lang.String name, java.lang.String version, boolean defaultStatus, long internalID, int rank, boolean sequenceLevel)` Creates a new CoordinateSystem object.

Method Summary
`int` | `compareTo(java.lang.Object other)` Orders by name then version.
`boolean` | `equals(CoordinateSystem cs)` Test for equality with another Coordinate System.
`java.lang.String` | `getName()` Get the name of this co-ordinate system.
`int` | `getRank()` Return this coordinate system's rank.
`java.lang.String` | `getVersion()` Get the version of this co-ordinate system.
`int` | `hashCode()` Generate a hash code since we're overriding equals().
`boolean` | `isComplete()` The coordinate system is complete if all attributes are set.
`boolean` | `isDefault()` Whether this is the default co-ordinate system for the species.
`boolean` | `isSequenceLevel()` Check if this co-ordinate system is the sequence-level co-ordinate system for this species.
`void` | `setDefault(boolean defaultStatus)` Deprecated. set this value in the appropriate constructor instead
`void` | `setName(java.lang.String name)` Deprecated. set this value in the appropriate constructor instead
`void` | `setRank(int rank)` Deprecated. set this value in the appropriate constructor instead
`void` | `setSequenceLevel(boolean f)` Deprecated. set this value in the appropriate constructor instead
`void` | `setVersion(java.lang.String version)` Deprecated. set this value in the appropriate constructor instead
`java.lang.String` | `toString()` Return a string representation of this object

Methods inherited from class org.ensembl.datamodel.impl.PersistentImpl
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoordinateSystem

    public CoordinateSystem()

  Deprecated. use another constructor.

  Creates a new CoordinateSystem object. Name, version and internalID are unset. Default is false.

### CoordinateSystem

    public CoordinateSystem(java.lang.String name)

  Creates a new CoordinateSystem object with only the name set.

Parameters:
  `name` - name of the coordinate system.

### CoordinateSystem

    public CoordinateSystem(java.lang.String name,
                            java.lang.String version)

### CoordinateSystem

    public CoordinateSystem(java.lang.String name,
                            java.lang.String version,
                            boolean def)

  Deprecated. use another constructor.

  Creates a new CoordinateSystem object. internalID is unset.

Parameters:
  `name` - name of the coordinate system.
  `version` - coordinate system version
  `def` - whether the coordinate system is default.

### CoordinateSystem

    public CoordinateSystem(java.lang.String name,
                            java.lang.String version,
                            boolean def,
                            long internalID)

  Deprecated. use another constructor.

  Creates a new CoordinateSystem object.

Parameters:
  `name` - name of the coordinate system.
  `version` - coordinate system version
  `def` - whether the coordinate system is default.
  `internalID` - internal ID of the coordinate system in the database.

### CoordinateSystem

    public CoordinateSystem(java.lang.String name,
                            java.lang.String version,
                            boolean defaultStatus,
                            long internalID,
                            int rank,
                            boolean sequenceLevel)

  Creates a new CoordinateSystem object.

Parameters:
  `name` - name of the coordinate system.
  `version` - coordinate system version
  `defaultStatus` - whether the coordinate system is default.
  `internalID` - internal ID of the coordinate system in the database.
  `rank` - ranking of this version of the coordinate system within those that share the name.

Method Detail

### isComplete

    public boolean isComplete()

  The coordinate system is complete if all attributes are set.

  Returns:
    true if all attributes set, otherwise false.

### getName

    public java.lang.String getName()

  Get the name of this co-ordinate system.

  Returns:
    Co-ordinate system name.

### setName

    public void setName(java.lang.String name)

  Deprecated. set this value in the appropriate constructor instead

  Set the name of this co-ordinate system.

  Parameters:
    `name` - New name.

### getVersion

    public java.lang.String getVersion()

  Get the version of this co-ordinate system.

  Returns:
    Co-ordinate system version.

### setVersion

    public void setVersion(java.lang.String version)

  Deprecated. set this value in the appropriate constructor instead

  Set the version of this co-ordinate system.

  Parameters:
    `version` - New version.

### isDefault

    public boolean isDefault()

  Whether this is the default co-ordinate system for the species.

  Returns:
    Whether this is the default co-ordinate system for the species.

### setDefault

    public void setDefault(boolean defaultStatus)

  Deprecated. set this value in the appropriate constructor instead

  Set whether this is the default co-ordinate system for the species.

  Parameters:
    `defaultStatus` - whether this is the default co-ordinate system for the species.

### equals

    public boolean equals(CoordinateSystem cs)

  Test for equality with another Coordinate System. Two co-ordinate systems are equal iff: -they have the same name -they have the same version (if set) The comparison is case insensitive.

  Parameters:
    `cs` - The CoordinateSystem to compare to.
  Returns:
    true if the above conditions are met, false otherwise.

### hashCode

    public int hashCode()

  Generate a hash code since we're overriding equals().

  Returns:
    hash code.

### toString

    public java.lang.String toString()

  Return a string representation of this object

### isSequenceLevel

    public boolean isSequenceLevel()

  Check if this co-ordinate system is the sequence-level co-ordinate system for this species.

  Returns:
    Whether or not this is the sequence level co-ordinate system.

### setSequenceLevel

    public void setSequenceLevel(boolean f)

  Deprecated. set this value in the appropriate constructor instead

  Set the flag indicating whether this co-ordinate system is the sequence level for this species.

  Parameters:
    `f` - the new flag

### compareTo

    public final int compareTo(java.lang.Object other)

  Orders by name then version.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### getRank

    public int getRank()

  Return this coordinate system's rank.

  Returns:
    the rank.

### setRank

    public void setRank(int rank)

  Deprecated. set this value in the appropriate constructor instead

  Set this coordinate system's rank.

  Parameters:
    `rank` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD